body {
    font-family: Verdana, sans-serif;
    background-color: #f0f0f0;
    margin: 0;
    padding: 0;
}

.text_comment, .text_adress, .text_sposob,
.text_visota, .text_dlina, .text_segment {
	display: inline-block;
	margin-bottom: 0px !important;
	
}
.edit_comment_input, .edit_adress_input, .edit_sposob_input,
.edit_visota_input, .edit_dlina_input, .edit_segment_input {
	display: none;
}
		
/* Стили для плавающего меню */
.floating-menu {
  position: fixed;
  bottom: 20px;
  right: 20px;
  z-index: 999;
}
.floating-menu .color-blue {
    background-color: #c7e6f7;
}

.floating-menu .color-orange {
    background-color: #f7dac7;
}

 /* Стили для увеличения размера чекбокса */
    .larger-checkbox {
        transform: scale(1.5); /* Увеличиваем размер в 2 раза */
    }

#saveTable {
        background-color: #0068b5 !important;
}

#saveTable[disabled] {
    background-color: #bfbfbf !important;
    color: #8f8f8f;
    cursor: default;
}

.menu-icon {
  display: block;
  width: 40px;
  height: 40px;
  background-color: #333;
  color: #fff;
  text-align: center;
  line-height: 40px;
  border-radius: 50%;
  text-decoration: none;
  font-size: 20px;
  transition: background-color 0.3s;
}

.menu-icon:hover {
  background-color: #555;
}

.menu-items {
  display: none;
  position: absolute;
  bottom: 50px;
  width:190px;
  right: 0;
  background-color: #fff;
  border: 1px solid #ccc;
  padding: 10px;
  border-radius: 5px;
  box-shadow: 0 2px 5px rgba(0, 0, 0, 0.2);
}

.menu-items a {
  display: block;
  color: #333;
  text-decoration: none;
  margin: 2px 0;
  padding: 8px 12px;
  transition: background-color 0.3s;
}

.menu-items a:hover {
  background-color: #f0f0f0;
}

.cont_page {
    max-width: 1200px;
    width: 100%;
    margin: 0 auto;
    padding-bottom: 60px;
}

.delete-btn {
        color: #df6e6e;
    border: none;
    background-color: #f0f0f0;
    font-weight:bold;
    min-width: auto;
}

h1 {
    color: #000;
    padding: 20px 0;
    font-size: 3rem;
    text-align: center;
    margin: 10px 0 20px 0;
}

p {
    text-align:left;
    font-size: 1rem;
    width:100%;
}

span {
    padding-right: 20px;
    display:inline-block;
    margin-bottom:10px;
}

form {
    padding: 20px;
    display: inline-block;
}

label {
    display: block;
    margin-top: 10px;
    font-weight:bold;
}

select, input[type="number"], input[type="text"] {
    padding: 10px;
    margin-top: 5px;
    border: 1px solid #ccc;
    margin-bottom: 15px;
    font-family: Verdana, sans-serif;
    -webkit-appearance: none;
	max-width: 500px;
	min-width: 200px;
    -moz-appearance: none;
    appearance: none;
    border-radius: 0 !important;
}

input[type="submit"], a.back, #saveTable {
    background-color: #29a938;
    color: #fff;
    padding: 10px 40px;
    border: none;
    font-size: 1.2rem;
    margin-top: 20px;
    margin-right: 10px;
    cursor: pointer;
    font-weight:normal;
    text-decoration:none;
    font-family: Verdana, sans-serif;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    border-radius: 0 !important;
}

input[type="submit"]:hover, a.back:hover {
    background-color: #555;
}
table {
    border-collapse: collapse;
    width: 100%;
    margin: 0 auto;
     border:none;
}


th, td {
       padding: 10px;
    border: 1px solid #c9c6c6;
    text-align: center;
    min-width: 80px;
}

th {
    background-color: #333;
    color: #fff;
    height:2rem;
}

.itog {
    font-weight: bold;
}

.yellow {
    background-color: #f2f7d2;
}


.line_right {
    padding-right: 45px;
    border-right: 1px solid #c9c6c6;
}

h3 {
    text-align:center;
    font-size: 2rem;
    margin-bottom:20px;
}

/* Стили для полей ввода нового материала */


/* Стили для кнопки "Добавить материал" */
#addMaterialBtn, #addRowBtn {
background-color: #333;
color: #fff;

border: none;

cursor: pointer;
font-family: Verdana, sans-serif;


    padding: 10px 40px;

    font-size: 1.2rem;
    margin-top: 20px;
    cursor: pointer;
    font-weight:normal;
    text-decoration:none;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    border-radius: 0 !important;
}

.newMat {
    
        margin: 0 20px;
    display: inline-block;

}

#addMaterialBtn:hover, #addRowBtn:hover {
background-color: #555;
}

@media (max-width: 800px) {
h1, .itog {
    font-size:1.7rem;
    padding:20px;
}
th, td {
    min-width:auto;
}
#map, .ymaps-2-1-79-map {
    width:380px !important;
}
p,.buttons_group {
    text-align:center;
    padding:0px;
}
.line_right {
    padding:0;
    border:none;
}
select, input[type="number"], input[type="text"] { 
    max-width: 350px;
}
table {
    width: 95%;
    white-space:nowrap;
    display: block;
}
.newMat {
    width: 100%;
    text-align:center;
    margin: 0 0 40px 0;
    display: block;
}

.newMat input {
    min-width:50%;
    margin:0 auto;
}

label {
    margin-bottom:10px;
}
#materialTable td, #materialTable th  {
    max-width:300px;
    padding:5px;
    font-size:0.7rem;
}
#materialTable tr td:first-child {
    white-space: initial;
}
}